File GSTR-2X TDS/TCS Return with DSC
POST
https://apisandbox.whitebooks.in/gstr2x/retfileUsed to file entire GSTR2X invoices.
Parameters
query parameters
emailstringrequiredAPI Developer User Email
panstringrequiredPAN Number
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
chksumstringoptionalchecksum value
Example: "73ccbb8bab248957a5daffb25a073205f063d64d9cd742b88b0b04b96edb109d"
ret_periodstringoptionalmonth
Example: "072024"
gstinstringoptionalGSTIN of Deductee/Supplier
Example: "29AJIPA1572EZ2E"
tdsobjectoptionaltdsaobjectoptionaltcsobjectoptionaltcsaobjectoptionalResponse
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/gstr2x/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File GSTR2X data (POST
/gstr2x/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to file entire GSTR2X invoices.
No example available.